# init

initializes the type plugin

            int init
            void

## Description

This function initializes the type plugin. It must be called by the shared library loader after resolving all symbols. It may not be called if any error occures while loading the plugin. No other method of this type class may be called before calling this.

You can e.g. allocate static memory common to all types in this function to use a memory pool.

All resources allocated in init must be deallaocated in the shutDown function.

## Return Value

The init function returns a 1 if the type could be initialized and 0 in case of an error. In case of an error no other function (not even the shutdown) may be called.